ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.105 by root, Tue Jun 26 00:40:18 2007 UTC vs.
Revision 1.108 by ayin, Fri Jul 27 10:09:39 2007 UTC

677INSTALL_SCRIPT 677INSTALL_SCRIPT
678INSTALL_DATA 678INSTALL_DATA
679GREP 679GREP
680EGREP 680EGREP
681LINKER 681LINKER
682CXXLIB
683INSTALL_LIBRXVT 682INSTALL_LIBRXVT
684RXVTNAME 683RXVTNAME
685TIC 684TIC
686XMKMF 685XMKMF
687CXXCPP 686CXXCPP
705PERLLIB 704PERLLIB
706PERLFLAGS 705PERLFLAGS
707PERLPRIVLIBEXP 706PERLPRIVLIBEXP
708IF_PERL 707IF_PERL
709PERL_O 708PERL_O
710LIBAFTERIMAGE_CFLAGS 709AFTERIMAGE_CFLAGS
711AFTERIMAGE_LIBS 710AFTERIMAGE_LIBS
712include_stdint_h 711include_stdint_h
713include_stdarg_h 712include_stdarg_h
714include_stdlib_h 713include_stdlib_h
715include_unistd_h 714include_unistd_h
3855 (exit $ac_status); } && { 3854 (exit $ac_status); } && {
3856 test -z "$ac_cxx_werror_flag" || 3855 test -z "$ac_cxx_werror_flag" ||
3857 test ! -s conftest.err 3856 test ! -s conftest.err
3858 } && test -s conftest$ac_exeext && 3857 } && test -s conftest$ac_exeext &&
3859 $as_test_x conftest$ac_exeext; then 3858 $as_test_x conftest$ac_exeext; then
3860
3861 { echo "$as_me:$LINENO: result: ok" >&5 3859 { echo "$as_me:$LINENO: result: ok" >&5
3862echo "${ECHO_T}ok" >&6; } 3860echo "${ECHO_T}ok" >&6; }
3863 CXXLIB="-lsupc++"
3864
3865else 3861else
3866 echo "$as_me: failed program was:" >&5 3862 echo "$as_me: failed program was:" >&5
3867sed 's/^/| /' conftest.$ac_ext >&5 3863sed 's/^/| /' conftest.$ac_ext >&5
3868 3864
3869 3865
3878rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ 3874rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
3879 conftest$ac_exeext conftest.$ac_ext 3875 conftest$ac_exeext conftest.$ac_ext
3880 CXX="$save_CXX" 3876 CXX="$save_CXX"
3881fi 3877fi
3882LINKER=$LINKER 3878LINKER=$LINKER
3883
3884 3879
3885 3880
3886if test -z "$orig_CXXFLAGS"; then 3881if test -z "$orig_CXXFLAGS"; then
3887 if test x$GCC = xyes && test "x$GXX" = xyes; then 3882 if test x$GCC = xyes && test "x$GXX" = xyes; then
3888 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs" 3883 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs"
6461 6456
6462fi 6457fi
6463 6458
6464 6459
6465 6460
6466LIBAFTERIMAGE_CFLAGS= 6461AFTERIMAGE_CFLAGS=
6467AFTERIMAGE_LIBS= 6462AFTERIMAGE_LIBS=
6468have_afterimage= 6463AFTERIMAGE_VERSION=
6469 6464
6470if test x$support_afterimage = xyes; then 6465if test x$support_afterimage = xyes; then
6471 support_afterimage=no 6466 support_afterimage=no
6472 6467
6473 if test "x$afterimage_config" = "x" ; then 6468 if test "x$afterimage_config" = "x" ; then
6511echo "${ECHO_T}no" >&6; } 6506echo "${ECHO_T}no" >&6; }
6512fi 6507fi
6513 6508
6514 6509
6515 fi 6510 fi
6516
6517 { echo "$as_me:$LINENO: checking for libAfterImage" >&5 6511 { echo "$as_me:$LINENO: checking for libAfterImage version >= 1.15" >&5
6518echo $ECHO_N "checking for libAfterImage... $ECHO_C" >&6; } 6512echo $ECHO_N "checking for libAfterImage version >= 1.15... $ECHO_C" >&6; }
6519 if $afterimage_config --version >/dev/null 2>&1 ; then 6513 AFTERIMAGE_VERSION=`$afterimage_config --version`
6514 if test -n $AFTERIMAGE_VERSION ; then
6520 LIBAFTERIMAGE_CFLAGS=`$afterimage_config --cflags` 6515 AFTERIMAGE_CFLAGS=`$afterimage_config --cflags`
6521 AFTERIMAGE_LIBS=`$afterimage_config --libs` 6516 AFTERIMAGE_LIBS=`$afterimage_config --libs`
6522 if test "x$AFTERIMAGE_LIBS" != "x"; then 6517 if test "x$AFTERIMAGE_LIBS" != "x"; then
6518 libai_ver_major=`echo $AFTERIMAGE_VERSION | cut -f 1 -d .`
6519 libai_ver_minor=`echo $AFTERIMAGE_VERSION | cut -f 2 -d .`
6520 if test $libai_ver_major -gt 1 -o \( $libai_ver_major -eq 1 -a $libai_ver_minor -ge 15 \); then
6523 support_afterimage=yes 6521 support_afterimage=yes
6522 fi
6524 fi 6523 fi
6525 fi 6524 fi
6526 6525
6527 if test "x$support_afterimage" = "xyes"; then 6526 if test "x$support_afterimage" = "xyes"; then
6528 { echo "$as_me:$LINENO: result: $AFTERIMAGE_LIBS" >&5 6527 { echo "$as_me:$LINENO: result: $AFTERIMAGE_LIBS" >&5
7484rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 7483rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7485fi 7484fi
7486{ echo "$as_me:$LINENO: result: $rxvt_cv_header_sysioctl" >&5 7485{ echo "$as_me:$LINENO: result: $rxvt_cv_header_sysioctl" >&5
7487echo "${ECHO_T}$rxvt_cv_header_sysioctl" >&6; } 7486echo "${ECHO_T}$rxvt_cv_header_sysioctl" >&6; }
7488 7487
7489if test -n "$GCC"; then
7490 LDARG="-Wl,"
7491else
7492 LDARG=""
7493fi
7494R_TRANSLATE='s/-L\([^ ]*\)/-L\1 '$LDARG'-rpath '$LDARG'\1/g'
7495
7496ac_save_CFLAGS=$CFLAGS
7497ac_save_LIBS=$LIBS
7498CFLAGS="$CFLAGS $X_CFLAGS"
7499LIBS=`echo "$LIBS $X_LIBS $X_EXTRA_LIBS -lX11" | sed "$R_TRANSLATE"`
7500{ echo "$as_me:$LINENO: checking for -rpath dynamic library path recording" >&5
7501echo $ECHO_N "checking for -rpath dynamic library path recording... $ECHO_C" >&6; }
7502if test "${rxvt_cv_rpath+set}" = set; then
7503 echo $ECHO_N "(cached) $ECHO_C" >&6
7504else
7505 if test "$cross_compiling" = yes; then
7506 { echo "$as_me:$LINENO: WARNING: You may need to check the LIBS line" >&5
7507echo "$as_me: WARNING: You may need to check the LIBS line" >&2;}
7508else
7509 cat >conftest.$ac_ext <<_ACEOF
7510/* confdefs.h. */
7511_ACEOF
7512cat confdefs.h >>conftest.$ac_ext
7513cat >>conftest.$ac_ext <<_ACEOF
7514/* end confdefs.h. */
7515#include <X11/Xlib.h>
7516#include <stdlib.h>
7517main()
7518{
7519 exit(0);
7520 (void) XOpenDisplay("foobar");
7521}
7522_ACEOF
7523rm -f conftest$ac_exeext
7524if { (ac_try="$ac_link"
7525case "(($ac_try" in
7526 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7527 *) ac_try_echo=$ac_try;;
7528esac
7529eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7530 (eval "$ac_link") 2>&5
7531 ac_status=$?
7532 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7533 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
7534 { (case "(($ac_try" in
7535 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7536 *) ac_try_echo=$ac_try;;
7537esac
7538eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7539 (eval "$ac_try") 2>&5
7540 ac_status=$?
7541 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7542 (exit $ac_status); }; }; then
7543 rxvt_cv_rpath=yes
7544else
7545 echo "$as_me: program exited with status $ac_status" >&5
7546echo "$as_me: failed program was:" >&5
7547sed 's/^/| /' conftest.$ac_ext >&5
7548
7549( exit $ac_status )
7550rxvt_cv_rpath=no
7551fi
7552rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
7553fi
7554
7555
7556fi
7557{ echo "$as_me:$LINENO: result: $rxvt_cv_rpath" >&5
7558echo "${ECHO_T}$rxvt_cv_rpath" >&6; }
7559if test x$rxvt_cv_rpath != xyes; then
7560 R_TRANSLATE='s/-L\([^ ]*\)/-L\1 '$LDARG'-R\1/g'
7561 LIBS=`echo "$ac_save_LIBS $X_LIBS $X_EXTRA_LIBS -lX11" | sed "$R_TRANSLATE"`
7562 { echo "$as_me:$LINENO: checking for -R dynamic library path recording" >&5
7563echo $ECHO_N "checking for -R dynamic library path recording... $ECHO_C" >&6; }
7564if test "${rxvt_cv_R+set}" = set; then
7565 echo $ECHO_N "(cached) $ECHO_C" >&6
7566else
7567 if test "$cross_compiling" = yes; then
7568 rxvt_cv_R=no
7569else
7570 cat >conftest.$ac_ext <<_ACEOF
7571/* confdefs.h. */
7572_ACEOF
7573cat confdefs.h >>conftest.$ac_ext
7574cat >>conftest.$ac_ext <<_ACEOF
7575/* end confdefs.h. */
7576#include <X11/Xlib.h>
7577#include <stdlib.h>
7578main()
7579{
7580 exit(0);
7581 (void) XOpenDisplay("foobar");
7582}
7583_ACEOF
7584rm -f conftest$ac_exeext
7585if { (ac_try="$ac_link"
7586case "(($ac_try" in
7587 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7588 *) ac_try_echo=$ac_try;;
7589esac
7590eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7591 (eval "$ac_link") 2>&5
7592 ac_status=$?
7593 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7594 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
7595 { (case "(($ac_try" in
7596 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7597 *) ac_try_echo=$ac_try;;
7598esac
7599eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7600 (eval "$ac_try") 2>&5
7601 ac_status=$?
7602 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7603 (exit $ac_status); }; }; then
7604 rxvt_cv_R=yes
7605else
7606 echo "$as_me: program exited with status $ac_status" >&5
7607echo "$as_me: failed program was:" >&5
7608sed 's/^/| /' conftest.$ac_ext >&5
7609
7610( exit $ac_status )
7611rxvt_cv_R=no
7612fi
7613rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
7614fi
7615
7616
7617fi
7618{ echo "$as_me:$LINENO: result: $rxvt_cv_R" >&5
7619echo "${ECHO_T}$rxvt_cv_R" >&6; }
7620 if test x$rxvt_cv_R != xyes; then
7621 LIBS="$ac_save_LIBS $X_LIBS $X_EXTRA_LIBS -lX11"
7622 fi
7623fi
7624
7625{ echo "$as_me:$LINENO: checking for XPointer" >&5 7488{ echo "$as_me:$LINENO: checking for XPointer" >&5
7626echo $ECHO_N "checking for XPointer... $ECHO_C" >&6; } 7489echo $ECHO_N "checking for XPointer... $ECHO_C" >&6; }
7627if test "${rxvt_cv_xpointer+set}" = set; then 7490if test "${rxvt_cv_xpointer+set}" = set; then
7628 echo $ECHO_N "(cached) $ECHO_C" >&6 7491 echo $ECHO_N "(cached) $ECHO_C" >&6
7629else 7492else
7676cat >>confdefs.h <<\_ACEOF 7539cat >>confdefs.h <<\_ACEOF
7677#define HAVE_XPOINTER 1 7540#define HAVE_XPOINTER 1
7678_ACEOF 7541_ACEOF
7679 7542
7680fi 7543fi
7681LIBS=$ac_save_LIBS
7682CFLAGS=$ac_save_CFLAGS
7683 7544
7684{ echo "$as_me:$LINENO: checking for XLIB_ILLEGAL_ACCESS" >&5 7545{ echo "$as_me:$LINENO: checking for XLIB_ILLEGAL_ACCESS" >&5
7685echo $ECHO_N "checking for XLIB_ILLEGAL_ACCESS... $ECHO_C" >&6; } 7546echo $ECHO_N "checking for XLIB_ILLEGAL_ACCESS... $ECHO_C" >&6; }
7686if test "${rxvt_xlib_illegal_access+set}" = set; then 7547if test "${rxvt_xlib_illegal_access+set}" = set; then
7687 echo $ECHO_N "(cached) $ECHO_C" >&6 7548 echo $ECHO_N "(cached) $ECHO_C" >&6
11817 11678
11818ac_save_LIBS=$LIBS 11679ac_save_LIBS=$LIBS
11819ac_save_CFLAGS=$CFLAGS 11680ac_save_CFLAGS=$CFLAGS
11820CFLAGS="$CFLAGS $X_CFLAGS" 11681CFLAGS="$CFLAGS $X_CFLAGS"
11821LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11" 11682LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11"
11822if test x$rxvt_cv_rpath = xyes -o x$rxvt_cv_R = xyes; then
11823 LIBS=`echo $LIBS | sed "$R_TRANSLATE"`
11824fi
11825{ echo "$as_me:$LINENO: checking for working Xlocale" >&5 11683{ echo "$as_me:$LINENO: checking for working Xlocale" >&5
11826echo $ECHO_N "checking for working Xlocale... $ECHO_C" >&6; } 11684echo $ECHO_N "checking for working Xlocale... $ECHO_C" >&6; }
11827if test "${rxvt_cv_func_xlocale+set}" = set; then 11685if test "${rxvt_cv_func_xlocale+set}" = set; then
11828 echo $ECHO_N "(cached) $ECHO_C" >&6 11686 echo $ECHO_N "(cached) $ECHO_C" >&6
11829else 11687else
13237cat >>confdefs.h <<\_ACEOF 13095cat >>confdefs.h <<\_ACEOF
13238#define SELECTION_SCROLLING 1 13096#define SELECTION_SCROLLING 1
13239_ACEOF 13097_ACEOF
13240 13098
13241fi 13099fi
13242if test x$support_frills = xyes; then
13243
13244cat >>confdefs.h <<\_ACEOF
13245#define ENABLE_FRILLS 1
13246_ACEOF
13247
13248fi
13249if test x$support_mousewheel = xyes; then 13100if test x$support_mousewheel = xyes; then
13250 13101
13251cat >>confdefs.h <<\_ACEOF 13102cat >>confdefs.h <<\_ACEOF
13252#define MOUSE_WHEEL 1 13103#define MOUSE_WHEEL 1
13253_ACEOF 13104_ACEOF
13563 13414
13564if test x$support_perl = xyes; then 13415if test x$support_perl = xyes; then
13565 support_frills=yes 13416 support_frills=yes
13566fi 13417fi
13567 13418
13419if test x$support_frills = xyes; then
13568 13420
13421cat >>confdefs.h <<\_ACEOF
13422#define ENABLE_FRILLS 1
13423_ACEOF
13569 13424
13570
13571
13572
13573if test x$rxvt_cv_rpath = xyes -o x$rxvt_cv_R = xyes; then
13574 LIBS=`echo $LIBS | sed "$R_TRANSLATE"`
13575 X_LIBS=`echo $X_LIBS | sed "$R_TRANSLATE"`
13576 X_EXTRA_LIBS=`echo $X_EXTRA_LIBS | sed "$R_TRANSLATE"`
13577 XPM_LIBS=`echo $XPM_LIBS | sed "$R_TRANSLATE"`
13578fi 13425fi
13426
13427
13428
13429
13430
13431
13579 13432
13580 13433
13581 13434
13582 13435
13583 13436
14351INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim 14204INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
14352INSTALL_DATA!$INSTALL_DATA$ac_delim 14205INSTALL_DATA!$INSTALL_DATA$ac_delim
14353GREP!$GREP$ac_delim 14206GREP!$GREP$ac_delim
14354EGREP!$EGREP$ac_delim 14207EGREP!$EGREP$ac_delim
14355LINKER!$LINKER$ac_delim 14208LINKER!$LINKER$ac_delim
14356CXXLIB!$CXXLIB$ac_delim
14357INSTALL_LIBRXVT!$INSTALL_LIBRXVT$ac_delim 14209INSTALL_LIBRXVT!$INSTALL_LIBRXVT$ac_delim
14358RXVTNAME!$RXVTNAME$ac_delim 14210RXVTNAME!$RXVTNAME$ac_delim
14359TIC!$TIC$ac_delim 14211TIC!$TIC$ac_delim
14360XMKMF!$XMKMF$ac_delim 14212XMKMF!$XMKMF$ac_delim
14361CXXCPP!$CXXCPP$ac_delim 14213CXXCPP!$CXXCPP$ac_delim
14379PERLLIB!$PERLLIB$ac_delim 14231PERLLIB!$PERLLIB$ac_delim
14380PERLFLAGS!$PERLFLAGS$ac_delim 14232PERLFLAGS!$PERLFLAGS$ac_delim
14381PERLPRIVLIBEXP!$PERLPRIVLIBEXP$ac_delim 14233PERLPRIVLIBEXP!$PERLPRIVLIBEXP$ac_delim
14382IF_PERL!$IF_PERL$ac_delim 14234IF_PERL!$IF_PERL$ac_delim
14383PERL_O!$PERL_O$ac_delim 14235PERL_O!$PERL_O$ac_delim
14384LIBAFTERIMAGE_CFLAGS!$LIBAFTERIMAGE_CFLAGS$ac_delim 14236AFTERIMAGE_CFLAGS!$AFTERIMAGE_CFLAGS$ac_delim
14385AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim 14237AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim
14386include_stdint_h!$include_stdint_h$ac_delim 14238include_stdint_h!$include_stdint_h$ac_delim
14239include_stdarg_h!$include_stdarg_h$ac_delim
14387_ACEOF 14240_ACEOF
14388 14241
14389 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then 14242 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
14390 break 14243 break
14391 elif $ac_last_try; then 14244 elif $ac_last_try; then
14423 14276
14424 14277
14425ac_delim='%!_!# ' 14278ac_delim='%!_!# '
14426for ac_last_try in false false false false false :; do 14279for ac_last_try in false false false false false :; do
14427 cat >conf$$subs.sed <<_ACEOF 14280 cat >conf$$subs.sed <<_ACEOF
14428include_stdarg_h!$include_stdarg_h$ac_delim
14429include_stdlib_h!$include_stdlib_h$ac_delim 14281include_stdlib_h!$include_stdlib_h$ac_delim
14430include_unistd_h!$include_unistd_h$ac_delim 14282include_unistd_h!$include_unistd_h$ac_delim
14431include_string_h!$include_string_h$ac_delim 14283include_string_h!$include_string_h$ac_delim
14432include_fcntl_h!$include_fcntl_h$ac_delim 14284include_fcntl_h!$include_fcntl_h$ac_delim
14433include_util_h!$include_util_h$ac_delim 14285include_util_h!$include_util_h$ac_delim
14439include_time_h!$include_time_h$ac_delim 14291include_time_h!$include_time_h$ac_delim
14440LIBOBJS!$LIBOBJS$ac_delim 14292LIBOBJS!$LIBOBJS$ac_delim
14441LTLIBOBJS!$LTLIBOBJS$ac_delim 14293LTLIBOBJS!$LTLIBOBJS$ac_delim
14442_ACEOF 14294_ACEOF
14443 14295
14444 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 14; then 14296 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 13; then
14445 break 14297 break
14446 elif $ac_last_try; then 14298 elif $ac_last_try; then
14447 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 14299 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
14448echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 14300echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
14449 { (exit 1); exit 1; }; } 14301 { (exit 1); exit 1; }; }

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines